<?php

    include("../scripts/connect.php");

   $conexion=conecta_default();
   include_once("../scripts/session.php");

   //Validar Session
    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	 header("Location: ../index.php?err=NoSesion");
    }/*no hay sesion*/
    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();
    }
    //fin validar session
  $conexion=conecta_default();


 $id_cd=$sesion->id;
 /* if($id_cd==63){$filtro="and (usuarios_ci_idusuarios_ci=5 or usuarios_ci_idusuarios_ci=54  or usuarios_ci_idusuarios_ci=53  or usuarios_ci_idusuarios_ci=17)";}/*/
 //if($id_cd==88){$filtro="and (usuarios_ci_idusuarios_ci=88 or usuarios_ci_idusuarios_ci=13)";}
 
 if($id_cd==1 || $id_cd==9){$filtro=" ";}else{$filtro=" and usuarios_ci_idusuarios_ci=$id_cd";}
if($id_cd==17 ){$filtro=" and cdentrega=$id_cd";}
if($id_cd==98){$filtro=" and (usuarios_ci_idusuarios_ci=98 || usuarios_ci_idusuarios_ci=54 || usuarios_ci_idusuarios_ci=17 || usuarios_ci_idusuarios_ci=63) ";}
if($id_cd==91){$filtro=" and (usuarios_ci_idusuarios_ci=5 || usuarios_ci_idusuarios_ci=17 || usuarios_ci_idusuarios_ci=91) ";}

 $cont=0;
$qPP = "SELECT inversionista.id_inver, rfc, nombre, appat, apmat, tel1, tel2, transaccion_adicionales.telefono as telefono, inversionista.wa as wa, ciudad, sum(puntos) as compras, usuarios_ci_idusuarios_ci as cd, referencia, fechat, seguimiento.tipo as tipo FROM `transacciones` join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver join depositos on transacciones. idtransacciones=depositos.transacciones_idtransacciones  join transaccion_adicionales on transacciones.idtransacciones=transaccion_adicionales.idtransacciones left join seguimiento on transacciones.inversionista_id_inver=seguimiento.id_inver  WHERE fechat between '2025-05-01' and '2025-09-31' $filtro group by id_inver
ORDER BY fechat  DESC";

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());

if(mysql_affected_rows())
{


echo "<center>
Reporte de personas que compraron en los ultimos 3 meses y no han comprado este mes




<table border=\"1\">
<th>RFC</th><th>Nombre</th><th>CD</th><th>UltPed</th><th>Act</th><th>tel1</th><th>tel2</th><th>wa</th><th>Acción</th><th></th><th>Ciudad</th>";


while (($objetoPP=mysql_fetch_object($rPP)) )


{
	$elinv=$objetoPP->id_inver;
	
		$qDG="SELECT sum(puntos) as compras FROM `transacciones` join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE fechat between '2025-09-01' and '2025-09-31' and inversionista_id_inver=$elinv ";
  			$cDG = mysql_query($qDG) or die ('Error (Obtencion DG.): ' . mysql_error());
  			if(mysql_affected_rows()){
  			while($rDG = mysql_fetch_row($cDG))
		   	{
		    	$ptosnov = $rDG[0];
		    
		   	};
	}
	
	$eltipo=$objetoPP->tipo;
	
	
	if($objetoPP->compras>=624 && $ptosnov<624 &&$eltipo!=20  &&$eltipo!=23){
$cont++;
		
		
	echo "<form name=\"pagar\" action=\"reactivar.php\" method=\"post\"><tr>

			<input type=hidden name=eldist value=$elinv>
			<td align=\"center\">$objetoPP->rfc</td> <td align=\"center\">$objetoPP->referencia $objetoPP->nombre $objetoPP->appat $objetoPP->apmat</td>
			<td align=\"center\">$objetoPP->cd</td><td align=\"center\">$objetoPP->fechat</td><td align=\"center\">$objetoPP->telefono</td><td align=\"center\">$objetoPP->tel1</td><td align=\"center\">$objetoPP->tel2</td><td align=\"center\">$objetoPP->wa</td>

		

		  </tr> 
</form>
	
		 ";}

   /*
   
   <tD>
			<select name = \"accion\"><option value=\"Whatsapp\">Whatsapp</option>
			<option value=\"Llamada\">Llamada</option>
			<option value=\"NoLoc\">No Localizable</option></select></td><td><input type=\"submit\" value=\"Enviar\" name=\"infoped\"></td>
			<td align=\"center\">$objetoPP->ciudad</td>
   */

}

	echo"</table></center>"; echo"<br><br>total $cont";  }
	else{
	echo"<center><br><br><b>No cuentas con personas que no han comprado</b><br>
	felicidades";	
	}


   

   

?>



